Subject: Re: New on sources: rcs-5.7-1
From: Jason Tishler <[email-masked]>
To: Stipe Tolj <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Feb 2002 10:22:31 -0500

Stipe,

On Sat, Feb 02, 2002 at 09:56:54AM +0100, Stipe Tolj wrote:
> Jason Tishler wrote:
> > On Wed, Jan 23, 2002 at 09:21:26PM +0100, Stipe Tolj wrote:
> > > The Revision Control System (RCS) manages multiple revisions of files.
> > > RCS automates the storing, retrieval, logging, identification, and
> > > merging of revisions. RCS is useful for text that is revised
> > > frequently,  e.g., programs, documentation, graphics, papers, and form
> > > letters.
> > 
> > The above RCS package has the dreaded truncation after 1024 bytes bug:
> > 
> >     http://sources.redhat.com/ml/cygwin/2001-07/msg00161.html
> > 
> > Please fix ASAP!
> 
> I'm just preparing the rcs-5.7-2 package.

Thanks for the fast turn around time.

Did you verify that rcs-5.7-2 passes the test case mentioned in the
above URL?

BTW, the private RCS build that I have been using without any problems
is built with the patch attached to the following:

    http://sources.redhat.com/ml/cygwin/2001-09/msg01833.html

I finally answered the question that I asked in the above URL:

    Does anyone know whether or not this patch is really needed with the
    latest Cygwin?

The answer is "no."  If you use my patch, then the John Wiersba's is not
needed.  This is because with my patch the following problematic line
is #ifdef'd out:

    if (lseek(wfd, wfd_off, SEEK_CUR) == -1)

It is probably too late, but you may want to consider my patch instead.
Nevertheless, if rcs-5.7-2 is no longer susceptible to truncations, then
I'll be happy.

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/